function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Figures","2");
A=P.fN("Tables","3");
A=P.fN("Preface","4");
var B=A.fN("Related Documentation","5");
var C=B.fN("TIBCO ActiveMatrix BusinessWorks Plug-in for REST and JSON Documentation","5#41324");
C=B.fN("Other TIBCO Product Documentation","5#41358");
B=A.fN("Typographical Conventions","6");
B=A.fN("TIBCO Product Documentation and Support Services","7");
C=B.fN("How to Access TIBCO Documentation","7#43787");
C=B.fN("How to Contact TIBCO Support","7#43795");
C=B.fN("How to Join TIBCO Community","7#43804");
A=P.fN("Chapter\u00a01 Plug-in Introduction","8");
B=A.fN("Product Overview","9");
A=P.fN("Chapter\u00a02 Getting Started","10");
B=A.fN("Overview","11");
B=A.fN("Starting TIBCO Designer","12");
B=A.fN("Creating a Project","13");
B=A.fN("Creating an OAuth1.0 Shared Resource","14");
B=A.fN("Creating a TIBCO ActiveMatrix BusinessWorks Process","15");
B=A.fN("Adding Activities to the Process","16");
B=A.fN("Testing the Process","17");
B=A.fN("Deploying a Project","18");
A=P.fN("Chapter\u00a03 Supported XML and JSON Conversion","19");
B=A.fN("JSON and XML Conversion Overview","20");
B=A.fN("Supported Schema Types for Formatting XML Data","21");
C=B.fN("Generic","21#1968280");
C=B.fN("XSD","21#1916752");
C=B.fN("Java Classes","21#1916758");
B=A.fN("Badgerfish Conversion Rule","22");
B=A.fN("Normal Conversion Rule","23");
B=A.fN("Root Node Conversion Rule","24");
B=A.fN("Null and Empty Values Conversion Rule","25");
B=A.fN("Special Symbols Conversion Rule","26");
A=P.fN("Chapter\u00a04 Plug-in Tools","27");
B=A.fN("Using the JSON Tools","28");
B=A.fN("Using the Swagger Tools","29");
A=P.fN("Chapter\u00a05 REST and JSON Palette","30");
B=A.fN("REST and JSON Palette Overview","31");
C=B.fN("Shared Resource","31#1917561");
C=B.fN("Activities","31#1917571");
B=A.fN("OAuth1.0","32");
C=B.fN("Configuration","32#1917603");
B=A.fN("Invoke REST API","33");
C=B.fN("Configuration","33#2189348");
C=B.fN("Sending Data in the HTTP request","33#2176107");
C=B.fN("Input Editor","33#2241605");
C=B.fN("Input","33#1918084");
C=B.fN("Output Editor","33#1962205");
C=B.fN("Output","33#1918175");
C=B.fN("Error Output","33#2183464");
B=A.fN("REST Dispatch and Reply","34");
C=B.fN("Configuration","34#1962951");
C=B.fN("Service Editor","34#2212088");
C=B.fN("Overview","34#2046558");
C=B.fN("Output","34#2225684");
C=B.fN("Error Output","34#1963059");
B=A.fN("Parse JSON","35");
C=B.fN("Configuration","35#1918497");
C=B.fN("Input","35#1918590");
C=B.fN("Output Editor","35#1918609");
C=B.fN("Output","35#1918621");
C=B.fN("Error Output","35#1918623");
B=A.fN("Render JSON","36");
C=B.fN("Configuration","36#1918666");
C=B.fN("Input Editor","36#1918763");
C=B.fN("Input","36#1918775");
C=B.fN("Output","36#1918777");
C=B.fN("Error Output","36#1918797");
A=P.fN("Chapter\u00a06 WADL Palette","37");
B=A.fN("WADL Palette Overview","38");
B=A.fN("Application","39");
C=B.fN("Configuration","39#1964099");
B=A.fN("RESTful Web Service","40");
C=B.fN("Configuration","40#1964139");
B=A.fN("Resource","41");
C=B.fN("Configuration","41#1964185");
B=A.fN("Method","42");
C=B.fN("Configuration","42#1964281");
B=A.fN("Request","43");
C=B.fN("Configuration","43#1964332");
B=A.fN("Response","44");
C=B.fN("Configuration","44#1964434");
A=P.fN("Chapter\u00a07 Managing RESTful Web Services","45");
B=A.fN("Guidelines for Creating and Editing a RESTful Web Service","46");
B=A.fN("Creating a RESTful Web Service","47");
C=B.fN("Creating a RESTful Web Service with Service Editor","47#1964599");
C=B.fN("Creating a RESTful Web Service with a WADL Palette","47#1964647");
B=A.fN("Editing a RESTful Web Service","48");
B=A.fN("Exposing BusinessWorks Processes as RESTful Web Services","49");
C=B.fN("Binding HTTP Requests to BusinessWorks Processes","49#2156565");
C=B.fN("Configuring the Input and Output Binding","49#2153122");
C=B.fN("Customizing Response Code","49#2153150");
C=B.fN("Downloading MIME Multiple Parts Messages","49#2129056");
B=A.fN("Exporting RESTful Web Services to a WADL File","50");
B=A.fN("Exporting RESTful Web Service to Swagger","51");
A=P.fN("Chapter\u00a08 Using Sample Projects","52");
B=A.fN("Overview of the Examples","53");
B=A.fN("The LinkedInPeopleSearch Project","54");
C=B.fN("Process Description","54#1919076");
C=B.fN("Setting Up the Project","54#2136220");
C=B.fN("Running the Project","54#1919129");
C=B.fN("Expected Results","54#2131114");
B=A.fN("The JSONSample Project","55");
C=B.fN("Processes Description","55#1919156");
C=B.fN("Setting Up the Project","55#1919259");
C=B.fN("Running the Project","55#1919281");
C=B.fN("Expected Results","55#1919300");
B=A.fN("The InvokePartnerREST Project","56");
C=B.fN("Process Definition","56#2193981");
C=B.fN("Setting Up the Project","56#1973718");
C=B.fN("Running the Project","56#1972641");
C=B.fN("Expected Results","56#1972660");
A=P.fN("Appendix\u00a0A Advanced Topics","57");
B=A.fN("Implementation Mechanism Exchange for Parsing and Rendering","58");
C=B.fN("Example","58#2205429");
C=B.fN("Selecting Implementation Mechanism","58#2248440");
B=A.fN("JSON Render Related Properties","59");
C=B.fN("Checking Empty Elements for JSON Render","59#2205494");
C=B.fN("Ignoring Namespace","59#2205518");
C=B.fN("Escaping Forward Slash","59#2205536");
C=B.fN("Formatting the Output String","59#2205554");
B=A.fN("JSON Parse Related Properties","60");
C=B.fN("Adding JSON root","60#2205588");
C=B.fN("Converting the Special Characters to ASCII Code","60#2227457");
C=B.fN("Preferring Namespace from Schema Using StAXON","60#2285057");
B=A.fN("Setting Up the Thread Pool","61");
B=A.fN("Setting Up a Proxy","62");
B=A.fN("Support for SSL Configuration","63");
B=A.fN("Support for Cross-Origin Requests","64");
C=B.fN("Ordinary Requests","64#2163282");
C=B.fN("Preflight Requests","64#2163420");
C=B.fN("Potential Failures and Solutions","64#2174109");
A=P.fN("Appendix\u00a0B Trace Messages","65");
B=A.fN("Overview of Trace Messages","66");
B=A.fN("Setting Custom Engine Properties for Trace Message Roles","67");
C=B.fN("Custom Properties in Testing Environment","67#1919422");
C=B.fN("Custom Properties in Deployed Projects","67#1919465");
B=A.fN("Error Codes","68");
}
